# Interface PrefixTicker.Rule

All Superinterfaces:
  `BasicTicker.Rule`

Enclosing class:
  `PrefixTicker`

public static interface PrefixTicker.Rule extends BasicTicker.Rule
Defines a specific rule for generating tick marks with prefixes. It just extends BasicTicker.Rule with a method for generating the prefix. The inherited `BasicTicker.Rule.indexToLabel(long)` method should provide the suffix part.

Since:
  18 Oct 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Caption`
`indexToPrefix(long index)`
Returns the prefix part only for labelling the major tick identified by a given index.
`Caption`
`indexToSuffix(long index)`
Returns the suffix part only for labelling the major tick identified by a given index.

### Methods inherited from interface BasicTicker.Rule

`floorIndex, getMinors, indexToLabel, indexToValue`

## Method Details

### indexToPrefix

Caption indexToPrefix(long index)
Returns the prefix part only for labelling the major tick identified by a given index.

Parameters:
  `index` - major tick index
Returns:
  prefix part of label

### indexToSuffix

Caption indexToSuffix(long index)
Returns the suffix part only for labelling the major tick identified by a given index.

Parameters:
  `index` - major tick index
Returns:
  suffix part of label